#version 330

in vec3 vPosition;

uniform float blurScale;
uniform mat4 modelViewProjectionMatrix;
uniform mat4 prevMVPMatrix;

out vec4 position;
out vec4 prevPosition;


void main(void) {
    position = modelViewProjectionMatrix * vec4(vPosition, 1);
    prevPosition = prevMVPMatrix * vec4(vPosition, 1);
    gl_Position = position;
}
