#version 330

uniform vec2 scale;
uniform vec2 translate;
in vec2 vPosition;
out vec2 texCoord;

void main() {
	texCoord = (vPosition + 1.0) * 0.5;
	
	gl_Position = vec4((vPosition * scale) + translate, 0.0, 1.0f);
	
} 