#version 330

layout (location = 0) in vec2 vPosition;
layout (location = 1) in vec2 vTexCoords;

uniform vec2 scale;
uniform vec2 position;

out vec2 texCoord;

void main () {
  texCoord = vTexCoords;
  gl_Position = vec4 (vPosition * scale + position, 0.0, 1.0);
}